import { NestFactory } from '@nestjs/core';

import { AppModule } from './app.module';

/*
  Main.ts starts the server.
*/

async function bootstrap() {
  const app = await NestFactory.create(AppModule, { logger: console });
  // Cors is needed for application/json POST
  app.enableCors();
  await app.listen(5000);
}
bootstrap();
