import { IsString, Length, IsUUID, IsIn } from 'class-validator';

export class NotificationdDTO {
  // alert is for serious messages, note is for smaller updates on a situation
  @IsIn(['alert', 'note'])
  type: string;
  @IsString()
  @Length(0, 63)
  message: string;
  @IsUUID('4')
  game: string;
}
