import { IsString, IsNotEmpty, Length } from 'class-validator';

export class UserDTO {
    // uses class-validator built in validations
    // see https://github.com/typestack/class-validator
    @IsString() @IsNotEmpty() @Length(3, 31)
    name: string;
    @IsString() @IsNotEmpty() @Length(3, 255)
    password: string;
}