import { createParamDecorator } from '@nestjs/common';

/* 
    gives service access to the gameperson object
    Game_PersonEntity {
        gamepersonId
        role
        faction
    }
*/
export const GamePerson = createParamDecorator((data, req) => {
  return data ? req.gameperson[data] : req.gameperson;
});
